package cn.com.poc.equity.convert;

import cn.com.poc.equity.entity.BizMemberEquityPayOrderLogEntity;
import cn.com.poc.equity.model.BizMemberEquityPayOrderLogModel;


public class BizMemberEquityPayOrderLogConvert {

    public static BizMemberEquityPayOrderLogEntity modelToEntity(BizMemberEquityPayOrderLogModel model) {
        BizMemberEquityPayOrderLogEntity entity = new BizMemberEquityPayOrderLogEntity();
        entity.setId(model.getId());
        entity.setMemberId(model.getMemberId());
        entity.setPayOrderSn(model.getPayOrderSn());
        entity.setPayAmount(model.getPayAmount());
        entity.setCurrency(model.getCurrency());
        entity.setType(model.getType());
        entity.setDomain(model.getDomain());
        entity.setExpiredNum(model.getExpiredNum());
        entity.setExpiredType(model.getExpiredType());
        entity.setTotalPoints(model.getTotalPoints());
        entity.setPayChannel(model.getPayChannel());
        entity.setPayTime(model.getPayTime());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizMemberEquityPayOrderLogModel entityToModel(BizMemberEquityPayOrderLogEntity entity) {
        BizMemberEquityPayOrderLogModel model = new BizMemberEquityPayOrderLogModel();
        model.setId(entity.getId());
        model.setMemberId(entity.getMemberId());
        model.setPayOrderSn(entity.getPayOrderSn());
        model.setPayAmount(entity.getPayAmount());
        model.setCurrency(entity.getCurrency());
        model.setType(entity.getType());
        model.setDomain(entity.getDomain());
        model.setExpiredNum(entity.getExpiredNum());
        model.setExpiredType(entity.getExpiredType());
        model.setTotalPoints(entity.getTotalPoints());
        model.setPayChannel(entity.getPayChannel());
        model.setPayTime(entity.getPayTime());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
}